curl --request GET \
--url https://services.leadconnectorhq.com/locations/{locationId}/recurring-tasks/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Version: <version>'{
"recurringTask": {
"id": "sx6wyHhbFdRXh302Lunr",
"title": "Task Name",
"description": "Task Description",
"locationId": "sx6wyHhbFdRXh302Lunr",
"updatedAt": "2021-04-15T10:00:00.000Z",
"createdAt": "2021-04-15T10:00:00.000Z",
"rruleOptions": {
"createTaskIfOverDue": false,
"interval": 1,
"intervalType": "hourly",
"startDate": "2024-10-29T12:34:03.000Z",
"dueAfterSeconds": 600,
"count": 550
},
"totalOccurrence": 10,
"deleted": false,
"assignedTo": "sx6wyHhbFdRXh302Lunr",
"contactId": "v5cEPM428h8vShlRW1KT"
}
}Get Recurring Task By Id
curl --request GET \
--url https://services.leadconnectorhq.com/locations/{locationId}/recurring-tasks/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Version: <version>'{
"recurringTask": {
"id": "sx6wyHhbFdRXh302Lunr",
"title": "Task Name",
"description": "Task Description",
"locationId": "sx6wyHhbFdRXh302Lunr",
"updatedAt": "2021-04-15T10:00:00.000Z",
"createdAt": "2021-04-15T10:00:00.000Z",
"rruleOptions": {
"createTaskIfOverDue": false,
"interval": 1,
"intervalType": "hourly",
"startDate": "2024-10-29T12:34:03.000Z",
"dueAfterSeconds": 600,
"count": 550
},
"totalOccurrence": 10,
"deleted": false,
"assignedTo": "sx6wyHhbFdRXh302Lunr",
"contactId": "v5cEPM428h8vShlRW1KT"
}
}Use the Access Token generated with user type as Sub-Account (OR) Private Integration Token of Sub-Account.
API Version
2021-07-28 Recurring Task Id
"sx6wyHhbFdRXh302Lunr"
Location Id
"sx6wyHhbFdRXh302Lunr"
Successful response
Show child attributes
Was this page helpful?